#include <bits/stdc++.h>
#include <cstring>
using namespace std;
typedef long long int ll;
typedef double ld;

map<char,ll> value;
map<char,ll> number;
char values[14];
char colors[]={'D','S','H','C'};
ll total;
ll performed;
void(*last)();
struct Card{ char val, color; };
vector<Card> hand;
bool changed;
void change(ll val){
    total+=val;
    if(val!=0)changed=true;
}
void sum(){
    ll all=0;
    for(Card s:hand){
        all+=(value[s.val]);
    }
    total=all;
}
void jacks(){
    if(hand.size()>=4){
        change(1 + value[hand[0].val]*number['J']);
    }else assert(false);
}
void bicolor(){
    bool f=false;
    for(char c:colors){
        if(number[c]>=2)f=true;
    }
    if(f){
        change(total);
    }else assert(false);
}
void allcolors(){
    bool f=true;
    for(char c:colors){
        if(number[c]==0)f=false;
    }
    if(f){
        change(total);
    }
}
void diffcolors(){
    ll diff=abs((number['D']+number['H']) - (number['C']+number['S']));
    if(diff!=0){
        change(diff);
    }else assert(false);
}
void even(){
    if(total%2==0){
        assert(false);
    }
}
void sevens(){
    if(number['7']==4){
        change(-121);
        assert(total>=0);
    }
}
void nonnegative(){
    if(total>=0){
        ll low=11;
        for(Card c:hand){
            low=min(low,value[c.val]);
        }
        change(low);
    }else assert(false);
}
void negative(){
    if(total<0){
        assert(false);
    }
}
void swapvalues(){
    if(number['D']>=3){
        change(1);
        swap(number['9'],number['6']);
        swap(number['2'],number['5']);
        for(Card &c:hand){
            switch(c.val){
                case '9':c.val='6';break;
                case '6':c.val='9';break;
                case '2':c.val='5';break;
                case '5':c.val='2';break;
            }
        }
    }
}
void straight(){
    if(number['A'] && number['K'] && number['Q'] && number['J'] && number['X']){
        change(5*number['A']);
    }
}
void modified(){
    if(performed>=8){
        assert(false);
    }
}
void lastrule(){
    if(number['2']>=1){
        last();
    }
}
void factors(){
    if(number['2']>=1){
        change(total);
    }
}

int main(){
    ll idxval=0;
    for(int i=2;i<10;++i){
        value['0'+i]=i;
        values[idxval++]='0'+i;
    }
    value['X']=10; values[idxval++]='X';
    value['J']=10; values[idxval++]='J';
    value['Q']=10; values[idxval++]='Q';
    value['K']=10; values[idxval++]='K';
    value['A']=10; values[idxval++]='A';
    for(int i=0; i<5; ++i){
        string s;
        cin>>s;
        if(s.size()==3){
            hand.push_back({'X',s[2]});
        }else{
            hand.push_back({s[0],s[1]});
        }
        number[hand[i].color]++;
        number[hand[i].val]++;
    }
    total=0;
    vector<void(*)()> fun;//returns true if performed change
    /* 01 */ fun.push_back(sum);
    /* 02 */ fun.push_back(jacks);
    /* 03 */ fun.push_back(bicolor);
    /* 04 */ fun.push_back(allcolors);
    /* 05 */ fun.push_back(diffcolors);
    /* 06 */ fun.push_back(even);
    /* 07 */ fun.push_back(sevens);
    /* 08 */ fun.push_back(nonnegative);
    /* 09 */ fun.push_back(negative);
    /* 10 */ fun.push_back(swapvalues);
    /* 11 */ fun.push_back(straight);
    /* 12 */ fun.push_back(modified);
    /* 13 */ fun.push_back(lastrule);
    /* 14 */ fun.push_back(factors);

    performed=0;
    for(int i=0; i<fun.size(); ++i){
        changed=false;
        fun[i]();
        // cout<<i+1<<": "<<total<<endl;
        if(changed){
            last=fun[i];
            ++performed;
        }
    }
    cout<<total<<endl;
    return 0;
}

