import sys
from functools import reduce

def out(s):
    pass
    #print(s)

def read_hand(l):
    x = []
    l=l.strip().split(' ')
    for i in l:        
	if i[0] == '1':
            x.append((i[0:2], i[2]))
        else:
            x.append((i[0], i[1]))
    return x

def number_of_J(h):
    acc = 0
    for i in h:
	if(i[0]=='J'):
	    acc = acc + 1
    return acc

def all_colors(h):
    return len(set([i[1] for i in h])) == 4

def number_of_red(h):
    return len([i[1] for i in h if i[1] in ['D','H']])

def four_sevens(h):
    return len([x[0] for x in h if x[0]==7])==4

def lowest_val(h):
    return min([card_to_val[i[0]] for i in h])

def number_of_d(h):
    return len([i[1] for i in h if i[1] == 'D'])

def swap_card(c):
    if c[0]=='2':
        return ('5',c[1])
    if c[0]=='5':
        return ('2',c[1])
    if c[0]=='6':
        return ('9',c[1])
    if c[0]=='9':
        return ('6',c[1])
    return c

def flush(hand):
    #print hand
    arr = sorted(hand, cmp=lambda x,y: card_order.index(x) - card_order.index(y), key=lambda c: c[0])
    return arr[0][0] == '10' and arr[1][0] == 'J' and arr[2][0] == 'Q' and arr[3][0] == 'K' and arr[4][0] == 'A'

card_order = map(str,list(range(2,10)))+['10','J','Q','K','A']

#print card_order

card_to_val = {
    '2':2,
    '3':3,
    '4':4,
    '5':5,
    '6':6,
    '7':7,
    '8':8,
    '9':9,
    '10':10,
    'J':10,
    'Q':10,
    'K':10,
    'A':10
}

def rule1_soucet(score, h):
    mapped = map((lambda x: (card_to_val[x[0]], x[1])), hand)
    return score + sum([x[0] for x in mapped])    

def rule2_jecka(score, h):
    mapped = map((lambda x: (card_to_val[x[0]], x[1])), hand)
    return score + (number_of_J(h)*mapped[0][0])

def rule3_stejne_dve(score, h):
    return score * 2


def rule4_barvy(score, h):
    if all_colors(hand):
        return score*2
    return score

def rule5_rozdil_barev(score, h):
    return score + abs(5-number_of_red(hand)-number_of_red(hand))

def rule6_sedmy(score, h):
    mapped = map((lambda x: (card_to_val[x[0]], x[1])), hand)
    if four_sevens(mapped):
        return score-121
    return score

def rule7_skore_vetsi_nula(score, h):
    if score >= 0:
        return score+lowest_val(hand)
    return score

def rule8_skore_mensi_nula(score, h):
    if score < 0:
        return -score
    return score

# hand = [('2','D'),('5','D'),('J','D'),('K','C'),('A','C')]

def rule9_pocet_decek(score, h):
    if number_of_d(h) >= 3:
        global hand 
        hand = [swap_card(c) for c in h]
        return score+1
    return score

def rule10_postupka(score, h):
    if flush(h):
        return score+5
    return score


#\item If you have at least $4$ cards in your hand then add $1$ to the value and also add the multiple of the number of J's in your hand with the score of the first card to the value.
#\item If you have at least $2$ cards with the same suite then multiply the value by $2$.
#\item If you have at least one card of each suite in hand then multiply the value by $2$.
#\item If the number of black (clubs and spaces) and red (hearts and diamonds) cards in your hand differ then add the difference to the value.
#\item If the value is currently even then add all divisors of the value to the value.
#\item If there are exactly $4$ cards with rank $7$ then subtract $11^2$ from the value.
#\item If the value is currently non-negative then add the score of the lowest scored card to the value.
#\item If the value is currently negative then multiply the value by $-1$.
#\item If there are at least $3$ cards with Diamond suite then add $1$ to the value and flip ranks of all $6$ to $9$, $9$ to $6$, $2$ to $5$, and $5$ to $2$ at once.
#\item If there is a \textbf{straight} then add the multiple of $5$ and number of A's in hand to the value.
#\item If the value was modified by the rules more than 8 times so far then add the number of $1$ bits in the binary representation of the value to the value.
#\item If there is at least one card with rank $2$ then apply the last rule which changed the score again (after that continue with rule #\ref{nextrule}).
#\item \label{nextrule} If there is at least one card with rank $2$ then add the multiple of all factors of the value to the value.
#\item \label{lastrule} If the value is $674$ then you win!


for x in sys.stdin:
    global hand
    hand = read_hand(x)
    old_hand = hand
    score = 0

    m=1
    score=rule1_soucet(score, hand)
    last=rule1_soucet
    out('1 : %d' % score)

    m=m+1
    score=rule2_jecka(score, hand)
    last=rule2_jecka
    score=score+1
    out('2 : %d' % score)

    m=m+1
    score=rule3_stejne_dve(score, hand)
    last=rule3_stejne_dve
    out('3 : %d' % score)

    bck=score
    score=rule4_barvy(score, hand)
    if score!=bck:
        m=m+1
        last=rule4_barvy
    out('4 : %d' % score)

    m=m+1
    score=rule5_rozdil_barev(score, hand)
    last=rule5_rozdil_barev
    out('5 : %d' % score)

    bck=score
    score=rule6_sedmy(score, hand)
    if score!=bck:
        m=m+1
        last=rule6_sedmy
    out('6 : %d' % score)

    bck=score
    score=rule7_skore_vetsi_nula(score, hand)
    if score!=bck:
        m=m+1
        last=rule7_skore_vetsi_nula
    out('7 : %d' % score)

    bck=score
    score=rule8_skore_mensi_nula(score, hand)
    if score!=bck:
        m=m+1
        last=rule8_skore_mensi_nula
    out('8 : %d' % score)

    #print hand
    bck=score
    score=rule9_pocet_decek(score, hand)
    if bck!=score:
        m=m+1
        last=rule9_pocet_decek
    out('9 : %d' % score)

    bck=score
    score=rule10_postupka(score, hand)
    if bck!=score:
        m=m+1
        last=rule10_postupka
    out('10 : %d' % score)

    if m==8:
        print "SHIT"

    if '2' in [c[0] for c in hand]:
        #print "applying last"
        #print last
        score=last(score, hand)
    #print score
    #print hand
    if '2' in [c[0] for c in hand]:
        score=score*2
    print score

